Results 1 to 2 of 2

Thread: Custom Firmware 5.03 and 5.50 Prometheus-2 released

  1. #1
    Senior Member
    WiiHacks Staff
    Nancy the Moderator

    VWA, Game Master, News Hound
    Only site donators may send a PM to WiiHacks Staff
    Red_Gh0st's Avatar
    Join Date
    Jul 2009
    Location
    Puerto Rico. Sexyness: 2376
    Posts
    6,289
    Thanks
    628
    Thanked 2,144 Times in 1,350 Posts
    Blog Entries
    26

    Custom Firmware 5.03 and 5.50 Prometheus-2 released



    Liquidzigong is back in the scene to update his custom firmware 5.03 and 5.50 Prometheus project, to support more games and improve its compatibility with the latest titles.

    Just a little refresher before you proceed, custom firmware 5.03 Prometheus is a modified version of CFW 5.03 GEN-C that allows PSP-2000 TA088v3 (2000v3) and PSP-3000 users to launched all the latest titles that require firmware 6.20 without the need of plug-ins while custom firmware 5.50 Prometheus on the other hand is a modified version of CFW 5.50 GEN-D for PSP-1000 and PSP-2000 users.

    Changelog:

    * Support more new games
    * Support future encryption Games 6.30


    Downloads

    Custom Firmware 5.03 Prometheus-2

    Developer: Liquidzigong
    File Size: 0.45Mb

    Download


    Custom Firmware 5.50 Prometheus-2


    Developer: Liquidzigong
    File Size: 0.32Mb

    Download

    Source- PSP

  2. #2
    New Member mndgme's Avatar
    Join Date
    Oct 2010
    Location
    Michigan
    Posts
    203
    Thanks
    36
    Thanked 39 Times in 33 Posts
    Custom Firmware 5.50 Prometheus-3 v4 has been released around November 16th 2010.

    I have a PSP 1000, and currently have 5.50 GEN-D3 installed. The games I have at the moment (Gran Turismo, God of War Ghost of Sparta, Grand Theft Auto Chinatown Wars) and a few others work fine, loading from the Is there any need for me to install this Prometheus hack? What does it do? Why is it needed and will I need it in the future? I have a 1000, and the SNES emulator and all works fine. Just need to know why some need to install this over their 5.50 GEN-D hack. Thanks.

    Sorry about the bold. After i pasted the link above, it wouldn't let me turn it off.


Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •